Subject: Re: [PATCH v2] net: Allow ethtool to set interface in loopback mode.

From: Ben Hutchings <[email-masked]>
Date: Wed, 05 Jan 2011 01:59:10 +0000

On Tue, 2011-01-04 at 17:34 -0800, Rick Jones wrote:
> >>>Since this is a boolean it SHOULD go into ethtool_flags rather than
> >>>being a high level operation.
> >>
> >>It could do, but I though ETHTOOL_{G,S}FLAGS were intended for
> >>controlling offload features.
> > 
> > 
> > It just seems the number of hooks keeps growing which takes more space
> > and increases complexity.
> 
> Is there any complication/downside to using flags in the (un?)likely event of 
> wanting different flavors of loopback in the card?

You have to define the flags.   And once you start, where would you
stop?  The sfc driver alone recognises 18 host-side and 8 wire-side
loopback modes.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.